import { postFetch } from "../util/request";
import { WeaTools } from "ecCom";

//非系统人员-保存
export const save = (params) => {
  return postFetch("/api/bs/hrmsalary/extEmp/save", params);
};

//非系统人员-修改
export const update = (params) => {
  return postFetch("/api/bs/hrmsalary/extEmp/update", params);
};

//非系统人员-列表
export const listPage = (params) => {
  return postFetch("/api/bs/hrmsalary/extEmp/listPage", params);
};

//非系统人员-删除
export const deleteExtEmp = (params) => {
  return postFetch("/api/bs/hrmsalary/extEmp/delete", params);
};

//非系统人员-导入预览
export const extEmpPreview = (params) => {
  return postFetch("/api/bs/hrmsalary/extEmp/preview", params);
};

//非系统人员-导入
export const importExtEmp = (params) => {
  return postFetch("/api/bs/hrmsalary/extEmp/importExtEmp", params);
};

//非系统人员-详情
export const detail = params => {
  return WeaTools.callApi("/api/bs/hrmsalary/extEmp/detail", "get", params);
};
